%define pkg_name        GraphViz
%define pkg_version     2.02
%define rpm_pkg_version 2.02
%define rpm_pkg_release 4.n0i.9

Summary:       Interface to the GraphViz graphing tool
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/L/LB/LBROCARD/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: graphviz
%{!?_without_test:BuildRequires: perl(IPC::Run) >= 0.6}

%global perl_filter_prov 'perl\\(DB\\)'


%description
This module provides an interface to layout and image generation of directed
and undirected graphs in a variety of formats (PostScript, PNG, etc.) using
the "dot", "neato" and "twopi" programs from the GraphViz project
(http://www.graphviz.org/ or http://www.research.att.com/sw/tools/graphviz/).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES examples/ README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 2.02-4.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Fri Mar 03 2006 Marius Feraru <altblue@n0i.net> - 2.02-3.n0i.8
- automatic rebuild (perl 5.8.8)

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 2.02-2.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:2.02-1.n0i.6
- automatic rebuild (perl 5.8.6)

* Thu Jan 13 2005 Marius Feraru <altblue@n0i.net> 0:2.02-1.n0i.5
- version 2.02

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:2.01-1.n0i.4
- version 2.01
- no dependencies are to be computed based on files in %%docdir

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:1.8-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:1.8-0.n0i.2
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Thu Oct 23 2003 Marius FERARU <altblue@n0i.net> 0:1.8-0.n0i.1
- version 1.8
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
